# Function setOnSuccessfulLoginFunction

- setOnSuccessfulLoginFunction(fn): void

- Method defined in the aim to be overridden.

  #### Parameters

  - ##### fn: ((user) => User)

    The callback function to apply after login.

    - - (user): User

      - #### Parameters

        - ##### user: User

        #### Returns User

  #### Returns void

  - Defined in src/auth/service.ts:42

Generated using TypeDoc